For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList Registered Users
      • POSTCreate Registered User
      • GETGet Registered User
      • DELDelete Registered User
      • PATCHUpdate Registered User

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerRegistered Users

Update Registered User

PATCH
https://ah-api.merge.dev/api/v1/registered-users/:registered_user_id/
PATCH
/api/v1/registered-users/:registered_user_id/
$curl -X PATCH https://ah-api.merge.dev/api/v1/registered-users/134e0111-0f67-44f6-98f0-597000290bb3/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "origin_user_name": "Yash Updated",
> "shared_credential_group": {
> "origin_company_id": "company-abc",
> "origin_company_name": "Acme Corp Updated",
> "custom_groupings": {
> "department": "sales"
> }
> },
> "user_type": "HUMAN"
>}'
200Updated
1{
2 "id": "string",
3 "origin_user_id": "string",
4 "shared_credential_group": {
5 "origin_company_id": "string",
6 "origin_company_name": "string",
7 "custom_groupings": {}
8 },
9 "authenticated_connectors": [
10 "string"
11 ],
12 "origin_user_name": "Yash",
13 "user_type": "HUMAN",
14 "is_test": false
15}
Updates fields on a Registered User by ID
Was this page helpful?
Previous

Delete Registered User

Next

Create Link token

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

registered_user_idstringRequiredformat: "uuid"
Agent Handler ID of the Registered User

Request

This endpoint expects an object.
origin_user_idstringOptional
Unique identifier for Registered User
origin_user_namestringOptional
The human readable name of Registered User
shared_credential_groupobjectOptional
Object used to identify which the groupings a Registered User is part of and can share credentials across.
user_typeenum or nullOptionalDefaults to HUMAN

ENUM of HUMAN or SYSTEM

  • HUMAN - HUMAN
  • SYSTEM - SYSTEM
Allowed values:

Response

idstringRead-only
origin_user_idstringRead-only
Unique identifier for Registered User
shared_credential_groupobject or null
Object used to identify which the groupings a Registered User is part of and can share credentials across.
authenticated_connectorslist of stringsRead-only
List of connector slugs that the user has authenticated with
origin_user_namestringDefaults to Yash
The human readable name of Registered User
user_typestringDefaults to HUMAN

ENUM of HUMAN or SYSTEM

is_testbooleanDefaults to false
Whether this is a test user or production user